Flowdock
method

description

Importance_0
Ruby latest stable (v1_9_3_392) - 0 notes - Class: LockCommand
description() public

No documentation

This method has no description. You can help the Ruby community by adding new notes.

Hide source
# File lib/rubygems/commands/lock_command.rb, line 23
  def description # :nodoc:
    The lock command will generate a list of +gem+ statements that will lock downthe versions for the gem given in the command line.  It will specify exactversions in the requirements list to ensure that the gems loaded will alwaysbe consistent.  A full recursive search of all effected gems will begenerated.Example:  gemlock rails-1.0.0 > lockdown.rbwill produce in lockdown.rb:  require "rubygems"  gem 'rails', '= 1.0.0'  gem 'rake', '= 0.7.0.1'  gem 'activesupport', '= 1.2.5'  gem 'activerecord', '= 1.13.2'  gem 'actionpack', '= 1.11.2'  gem 'actionmailer', '= 1.1.5'  gem 'actionwebservice', '= 1.0.0'Just load lockdown.rb from your application to ensure that the currentversions are loaded.  Make sure that lockdown.rb is loaded *before* anyother require statements.Notice that rails 1.0.0 only requires that rake 0.6.2 or better be used.Rake-0.7.0.1 is the most recent version installed that satisfies that, so welock it down to the exact version.
  end
Register or log in to add new notes.